---
title: "XING Jobs API: Search | Perceptlayer"
description: "Search from XING Jobs as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/xing-jobs/search
---

[APIs](https://perceptlayer.com/apis) / [XING Jobs](https://perceptlayer.com/apis/xing-jobs) / Search

# XING Jobs: Search

Search from XING Jobs as JSON. 1 credit per successful call.

GET `/v1/xing-jobs/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Optional | Up to 200 characters |
| `location` | string | Optional | Up to 100 characters |
| `employment_type` | string | Optional | full\_time, part\_time, contractor, intern, seasonal, temporary, voluntary |
| `remote` | string | Optional | full\_remote |
| `salary_min` | integer | Optional | Any |
| `salary_max` | integer | Optional | Any |
| `since` | string | Optional | 24h, week, month |
| `page` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/xing-jobs/search?query=developer&location=Berlin&employment_type=full_time" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/xing-jobs?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
